Efreet

FreeDesktop.Org (XDG) menu and desktop integration. More...

## Topics

| Efreet_Base: The XDG Base Directory Specification
| functions
| Efreet_Desktop: The FDO Desktop Entry
| Specification functions and structures
| Efreet_Icon: The FDO Icon Theme
| Specification functions and structures
| Efreet_Menu: The FDO Desktop Menu Specification
| functions and structures
| Efreet_Mime: The XDG Shared Mime Info standard
| Efreet Mime is a library designed to help apps work with the Freedesktop.org Shared Mime Info standard.
| Efreet_Trash: The XDG Trash Specification
| Efreet_Trash.h provides all of the necessary headers and includes to work with Efreet_Trash.
| Efreet_Uri: The FDO URI Specification functions
| Efreet utilities for FDO

## Functions

Eina_Bool | elm_need_efreet (void)
| Request that your elementary application needs Efreet.

## Detailed Description

FreeDesktop.Org (XDG) menu and desktop integration.

## Function Documentation

## elm_need_efreet()

Eina_Bool elm_need_efreet | ( | void |  | ) |

Request that your elementary application needs Efreet.

This initializes the Efreet library when called and if support exists it returns `EINA_TRUE`, otherwise returns `EINA_FALSE`. This must be called before any efreet calls.

Returns
  `EINA_TRUE` if support exists and initialization succeeded.

References efreet_init(), efreet_mime_init(), efreet_mime_shutdown(), efreet_shutdown(), efreet_trash_init(), EINA_FALSE, and EINA_TRUE.